OpenNMS API 1.2.9

## org.opennms.netmgt.utils
Class EmailAddress

    java.lang.Object
      org.opennms.netmgt.utils.EmailAddress

public class EmailAddress
extends java.lang.Object

This class is used to hold an email address

Author:
  Jason , OpenNMS

Field Summary
`private java.lang.String` `address`
`private java.lang.String` `domain`
`private java.lang.String` `server`
`private java.lang.String` `tld`
`private java.lang.String` `username`

Constructor Summary
`EmailAddress()`
`EmailAddress(java.lang.String newAddress)`

Method Summary
`java.lang.String` `getAddress()`
`java.lang.String` `getDomain()`
`java.lang.String` `getServer()`
`java.lang.String` `getTld()`
`java.lang.String` `getUsername()`
`void` `setDomain(java.lang.String newDomain)`
`void` `setServer(java.lang.String newServer)`
`void` `setTld(java.lang.String newTld)`
`void` `setUsername(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### address

    private java.lang.String address

### username

    private java.lang.String username

### server

    private java.lang.String server

### domain

    private java.lang.String domain

### tld

    private java.lang.String tld

Constructor Detail

### EmailAddress

    public EmailAddress()

### EmailAddress

    public EmailAddress(java.lang.String newAddress)

Method Detail

### getAddress

    public java.lang.String getAddress()

### getUsername

    public java.lang.String getUsername()

### getServer

    public java.lang.String getServer()

### getDomain

    public java.lang.String getDomain()

### getTld

    public java.lang.String getTld()

### setUsername

    public void setUsername(java.lang.String name)

### setServer

    public void setServer(java.lang.String newServer)

### setDomain

    public void setDomain(java.lang.String newDomain)

### setTld

    public void setTld(java.lang.String newTld)

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.